- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
=========================================================================
Skills Collection APIs
Creates a Skill resource container, optionally publishing the initial SkillRevision inline in a single, atomic CRUD roundtrip.
HTTP request
POST https://agentregistry.googleapis.com/v1alpha/{parent=projects/*/locations/*}/skills
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project and location location to bootstrap. |
Query parameters
| Parameters | |
|---|---|
skillId |
Required. Custom, user-defined unique container identifier. Must be unique within the parent project and location. This value should be 4-63 characters, and valid characters are |
requestId |
Optional. Signed UUID request idempotency token. |
Request body
The request body contains an instance of Skill.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/agentregistry.read-writehttps://www.googleapis.com/auth/agentregistry.read-only
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
agentregistry.skills.create
For more information, see the IAM documentation.